#!/usr/local/bin/perl
use strict;
use warnings;

my %population = ( Pitcairn =>    67,
		   Cocos    =>   596,
		   Vatican  =>   800,
		   Niue     => 1_000,
		 );

my $hash_ref = \%population;
my %pop_copy = %$hash_ref;
print "\%pop_copy   = ", hash_to_string( %pop_copy ), "\n\n";

$pop_copy{Tuvulu} = 10_000;
print "\%pop_copy   = ", hash_to_string( %pop_copy ), "\n";
print "\%population = ", hash_to_string( %population ), "\n\n";

$hash_ref->{China} = 1_347_350_000;
print "\%pop_copy   = ", hash_to_string( %pop_copy ), "\n";
print "\%population = ", hash_to_string( %population ), "\n\n";

delete $hash_ref->{Cocos};
print "\%pop_copy   = ", hash_to_string( %pop_copy ), "\n";
print "\%population = ", hash_to_string( %population ), "\n\n";


sub hash_to_string
{
  my %hash = @_;

  my $str = join ', ' => map { "$_=>$hash{$_}" }
                             sort keys %hash;
  return "<< $str >>";
}
