#!/usr/local/bin/perl
use strict;
use warnings;

use Oscars;

my $year = shift || 1997;

my $oscar = Oscars->new( input => 'oscars.txt' );
$oscar->populate;

my @winners = $oscar->winners( year => $year, category => 'Editing' );
my $post_winners = join ' and ', @winners > 1 ? splice @winners, -2, 2 : shift @winners;
print "Winner(s) for Editing for $year: ", join( ', ' => @winners ? (@winners, '') : () ), "$post_winners\n";
