#!/usr/local/bin/perl
use strict;
use warnings;

use DBI;

my $dbfile = 'state.db';
my $dbh = DBI->connect( "dbi:SQLite:dbname=$dbfile" );

my $ar = $dbh->selectall_arrayref( <<'EOSQL', undef, '%j%' );
  SELECT largest_city, flower
  FROM   state
  WHERE  capital LIKE ?
EOSQL

print join( ' => ', @$_), "\n" for @$ar;
