#!/usr/local/bin/perl
use strict;
use warnings;

my $ungulate = 'camel';
my $scalar_ref = \$ungulate;

my $ungulate_copy = $$scalar_ref;
$ungulate_copy = 'llama';

print "\$ungulate = '$ungulate'\n";
print "\$ungulate_copy = '$ungulate_copy'\n\n";

my @names = qw(Bob Carol Ted Alice);
my $array_ref = \@names;

my @names_copy = @$array_ref;
print "\@names_copy = << @names_copy >>\n\n";

$names_copy[2] = 'Fred';
print "\@names_copy = << @names_copy >>\n";
print "\@names      = << @names >>\n\n";

my %population = ( Pitcairn =>    67,
		   Cocos    =>   596,
		   Vatican  =>   800,
		   Niue     => 1_000,
		 );

my $hash_ref = \%population;
my %pop_copy = %$hash_ref;
print "\%pop_copy   = ", hash_to_string( %pop_copy ), "\n\n";

$pop_copy{Tuvulu} = 10_000;
print "\%pop_copy   = ", hash_to_string( %pop_copy ), "\n";
print "\%population = ", hash_to_string( %population ), "\n\n";


sub hash_to_string
{
  my %hash = @_;

  my $str = join ', ' => map { "$_=>$hash{$_}" }
                             sort keys %hash;
  return "<< $str >>";
}
