#!/usr/local/bin/perl
use strict;
use warnings;

use Movie;
use Movie::Romance;

my $new_hope = Movie->new( title => 'Star Wars', genre => 'Science Fiction', part => 'IV' );
my $bogie    = Movie::Romance->new( title => 'Casablanca', genre => 'Comedy' );

$bogie->genre( 'Drama' );

for my $flick ( $new_hope, $bogie )
{
  print $flick->title, " is a ", lc( $flick->genre ), " movie\n";
  print $flick->title, $flick->can( 'is_tearjerker' ) ? " is" : " is not", " a tearjerker\n";
}

