package State::DBI;
use strict;
use warnings;

use base 'Class::DBI';

State::DBI->connection( 'dbi:SQLite:dbname=state.db' );

package State;

use base 'State::DBI';

State->table( 'state' );

State->columns( All => qw(key name capital flower largest_city bird) );

1;
